Suggest articles to translate based on previous regular edits (when there are no previous translations)
Open, Needs TriagePublic

Description

Suggestions are based on the recent articles that the user has translated with Content Translation. However, for users that have not translated before we are providing them general recommendations even if they have edited articles before.

For the cases where there are not existing translations available, we can use the previous edits the user did as seed articles for suggestions.

We need to use User Contributions API here to fetch latest contributions by user to target language, get those pages as seeds.

https://en.wikipedia.org/w/api.php?action=query&format=jsonfm&list=usercontribs&uclimit=3&ucuser=Santhosh.thottingal&ucdir=older is an API example we can use for such purpose

We may want to filter the contributions list to consider only those edits in the main namespace. I don't think that user pages or talk pages would work very well as seeds for suggestions. We may also consider querying more than three contributions since several may be about the same article.

Hmm, isn't this already the case? I had the impression that the suggestions are taken also from usually-edited articles. @leila , do you know?

Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Jul 2 2017, 1:10 PM
leila added a comment.Jul 2 2017, 8:52 PM

@Amire80 The API will give you recommendations based on the seed you provide. The source/motivation behind the seed is flexible and is defined by the application that uses the API. In Content Translation case, the tool would take the past n translations of the editor, provide those to the API, and select from the pool of recommendations the API would provide for all the seeds provided. If you want to look at the users' history of edits instead of only translations, this should happen from the CX side as well. The tool, in this case, will request recommendations based on the title of the past m articles edited by the user.

What you remember, I think, is related to the experiment we ran in 2015. That was a more sophisticated model though: based on the editors' history of contributions, we would build a topical model for each editor, and a topical model for all the missing articles in a given language. We would then solve a matching problem between editors and articles based on the affinity of the editor to the missing article (how close the topic of the article is to the topics they have contributed to in the recent past).

Petar.petkovic closed this task as Resolved.Mar 4 2018, 1:05 AM
Petar.petkovic claimed this task.
Petar.petkovic added a subscriber: Petar.petkovic.

"Recently edited by you" is the list of suggestions we show to all users when "New translation" dialog input field has empty search query. This was done as part of T111094.
See also T180650.

Pginer-WMF reopened this task as Open.Mar 5 2018, 7:39 AM

"Recently edited by you" is the list of suggestions we show to all users when "New translation" dialog input field has empty search query. This was done as part of T111094.
See also T180650.

This ticket is about populating the main list of suggestions with articles related to those you edited. Technically, using them as a seed for the recommendation algorithm. That is, you are an editor that edited about a painter, and another painter of the same style may be proposed in the suggestions list. We currently do this for articles you have translated with Content Translation, but not with articles the user edited in other ways.

Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:27 PM
Petar.petkovic removed Petar.petkovic as the assignee of this task.Jun 29 2018, 8:01 PM